## org.apache.naming.factory
Class ResourceFactory

    java.lang.Object
      org.apache.naming.factory.ResourceFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

    public class ResourceFactory

extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Object factory for Resources.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Remy Maucherat

Constructor Summary
`ResourceFactory()`

Method Summary
`java.lang.Object` `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Crete a new DataSource instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceFactory

    public ResourceFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Crete a new DataSource instance.

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - The reference object describing the DataSource
  Throws:
    `java.lang.Exception`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.